/* 
SUPPORT: vekada Kadari, Venu
*/ 
/****************************************************************************** 
 * Job:             DI_Export_Sales_Forecast                A5EEB9WX.BG000048 * 
 * Description:                                                               * 
 *                                                                            * 
 * Metadata Server: des10.na.sas.com                                          * 
 * Port:            8561                                                      * 
 * Location:        /Shared Data/DI/Exports                                   * 
 *                                                                            * 
 * Server:          SASApp                                  A5EEB9WX.AQ000002 * 
 *                                                                            * 
 * Generated on:    Wednesday, April 22, 2009 11:23:45 AM EDT                 * 
 * Generated by:    vekada@CARYNT                                             * 
 * Version:         SAS Data Integration Studio 4.2                           * 
 ******************************************************************************/ 

/* General macro variables  */ 
%let etls_jobName = %nrquote(DI_Export_Sales_Forecast);

/* Setup to capture return codes  */ 
%global job_rc trans_rc sqlrc; 
%let sysrc = 0;
%let job_rc = 0;
%let trans_rc = 0;
%let sqlrc = 0;
%global syserr; 

%macro rcSet(error); 
   %if (&error gt &trans_rc) %then 
      %let trans_rc = &error;
   %if (&error gt &job_rc) %then 
      %let job_rc = &error;
%mend rcSet; 

%macro rcSetDS(error); 
   if &error gt input(symget('trans_rc'),12.) then 
      call symput('trans_rc',trim(left(put(&error,12.))));
   if &error gt input(symget('job_rc'),12.) then 
      call symput('job_rc',trim(left(put(&error,12.))));
%mend rcSetDS; 

/* Setup for capturing job status  */ 
%let etls_startTime = %sysfunc(datetime(),datetime.);
%let etls_recordsBefore = 0;
%let etls_recordsAfter = 0;
%let etls_lib = 0;
%let etls_table = 0;

%global etls_debug; 
%macro etls_setDebug; 
   %if %str(&etls_debug) ne 0 %then 
      OPTIONS MPRINT%str(;); 
%mend; 
%etls_setDebug; 

/*---- Start of User Written Code  ----*/ 

%let _OUTPUT = work._di_export_sales_forecast;

%etl_initjobparam (monlib=di_mon, jobname=%nrquote(&etls_jobName));

/* Truncate output table if it exists */
%macro _TruncateTable;
%if %sysfunc(exist(&_OUTPUT)) %then
   %DI_UTIL_TRUNCATE_TABLE( &_OUTPUT );
%mend;
%_TruncateTable;

%macro _temp;

   %put NOTE: ****************************************************************************************************;
   %if %symexist(etlp_geo_hier_assoc_cd) %then
   %do; 
      %put NOTE: etlp_geo_hier_assoc_cd=&etlp_geo_hier_assoc_cd;
   %end;   
   %else 
   %do;
     %GLOBAL etlp_geo_hier_assoc_cd;
     %let etlp_geo_hier_assoc_cd=1;
   %end;
   

   %if %symexist(etlp_units_fmt) %then
   %do; 
      %put NOTE: etlp_units_fmt=&etlp_units_fmt;
   %end;   
   %else 
   %do;
     %GLOBAL etlp_units_fmt;
     %let etlp_units_fmt=%str(FORMAT=NLNUM12.0 INFORMAT=NLNUM12.0);
   %end;
   
   %if %symexist(etlp_price_fmt) %then
   %do; 
      %put NOTE: etlp_price_fmt=&etlp_price_fmt;
   %end;   
   %else 
   %do;
     %GLOBAL etlp_price_fmt;
     %let etlp_price_fmt=%str(FORMAT=NLNUM12.2 INFORMAT=NLNUM12.2);
   %end;
  
   %if %symexist(etlp_geo_prod_ids_table) %then
   %do; 
      %put NOTE: etlp_geo_prod_ids_table=&etlp_geo_prod_ids_table;
   %end;   
   %else 
   %do;
     %GLOBAL etlp_geo_prod_ids_table;
     %let etlp_geo_prod_ids_table=%str();
   %end;
  
   %if %symexist(etlp_geo_prod_sks_table) %then
   %do; 
      %put NOTE: etlp_geo_prod_sks_table=&etlp_geo_prod_sks_table;
   %end;   
   %else 
   %do;
     %GLOBAL etlp_geo_prod_sks_table;
     %let etlp_geo_prod_sks_table=%str();
   %end;
  
  
   %if %symexist(etlp_daily_model) %then
   %do; 
      %put NOTE: etlp_daily_model=&etlp_daily_model;
   %end;   
   %else 
   %do;
     %GLOBAL etlp_daily_model;
     %let etlp_daily_model=%str(1);
   %end;
  
  
   %if %symexist(etlp_daily_output) %then
   %do; 
      %put NOTE: etlp_daily_output=&etlp_daily_output;
   %end;   
   %else 
   %do;
     %GLOBAL etlp_daily_output;
     %let etlp_daily_output=%str(0);
   %end;
  
   %if %symexist(etlp_pct_fmt) %then
   %do; 
      %put NOTE: etlp_pct_fmt=&etlp_pct_fmt;
   %end;   
   %else 
   %do;
     %GLOBAL etlp_pct_fmt;
     %let etlp_pct_fmt=%str(FORMAT=NLNUM12.4 INFORMAT=NLNUM12.4);
   %end;
   
   
   %if %symexist(etlp_debug) %then
   %do; 
      %put NOTE: etlp_debug=&etlp_debug;
   %end;   
   %else 
   %do;
     %GLOBAL etlp_debug;
     %let etlp_debug=%str(0);
   %end;
  
  
   %if %symexist(etlp_model_group_ids_table) %then
   %do; 
      %put NOTE: model_group_ids_table=&etlp_model_group_ids_table;
   %end;   
   %else 
   %do;
     %GLOBAL etlp_model_group_ids_table;
     %let etlp_model_group_ids_table=%str();
   %end;
   
     
   %if %symexist(etlp_user)  %then
   %do;
      %put NOTE: etlp_user=&etlp_user;
   %end;
   %else
   %do;
     %GLOBAL etlp_user;
     %let etlp_user=%str();
     proc sql noprint;
        insert into di_mon.job_param (jobname, param_name, param_value, default_func) 
        values ("DI_EXPORT_SALES_FORECAST","etlp_user","",'""');
     quit;
   %end;
   
   %if %symexist(etlp_pwd)  %then
   %do;
      %put NOTE: etlp_pwd=&etlp_pwd;
   %end;
   %else
   %do;
     %GLOBAL etlp_pwd;
     %let etlp_pwd=%str();
     proc sql noprint;
        insert into di_mon.job_param (jobname, param_name, param_value, default_func) 
        values ("DI_EXPORT_SALES_FORECAST","etlp_pwd","",'""');
     quit;
   %end;
   
   %if %symexist(etlp_getPWFromDomain)  %then
   %do;
      %put NOTE: etlp_getPWFromDomain=&etlp_getPWFromDomain;
   %end;
   %else
   %do;
     %GLOBAL etlp_getPWFromDomain;
     %let etlp_getPWFromDomain=%str(YES);
     proc sql noprint;
        insert into di_mon.job_param (jobname, param_name, param_value, default_func) 
        values ("DI_EXPORT_SALES_FORECAST","etlp_getPWFromDomain","YES",'"YES"');
     quit;
   %end;
   

   
   %put NOTE: ****************************************************************************************************;
   %put;
      
%mend;
%_temp

%let _OUTPUT = work._di_export_sales_forecast;
%di_etl_export_sales_forecast
(
   fcst_prod_id=&etlp_prod_id,
   fcst_geo_id=&etlp_geo_id,
   model_group_ids_table=&etlp_model_group_ids_table,
   geo_prod_ids_table=&etlp_geo_prod_ids_table,
   geo_prod_sks_table=&etlp_geo_prod_sks_table,
   daily_model=&etlp_daily_model,
   daily_output=&etlp_daily_output,
   fcst_weeks=&etlp_num_weeks,
   _geo_hier_assoc_cd=&etlp_geo_hier_assoc_cd,
   m_etlp_units_fmt=&etlp_units_fmt,
   m_etlp_price_fmt=&etlp_price_fmt,
   m_etlp_pct_fmt=&etlp_pct_fmt,
   _user=&etlp_user,
   _pwd=&etlp_pwd,
   _getPWFromDomain=&etlp_getPWFromDomain,
   m_debug=&etlp_debug,
   _forecast_export_table=&_output
);

%let etlp_library=%scan(&_output,1,'.');
%let etlp_dsn=%scan(&_output,2,'.');

%etl_generate_export
(
    library     =&etlp_library,
    dsn         =&etlp_dsn,
    delimiter   ="&etlp_delimiter",
    export_file =&etlp_extract_file
);


/*---- End of User Written Code  ----*/ 

%let etls_endTime = %sysfunc(datetime(),datetime.);

/*---- Job status macro  ----*/ 
%etls_sendJobStatus(source_table = &_output);
